package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;
 
public class PapPengkajianResikoJatuhAnakVO extends BaseTransactionVO{

	@ManyToOne
	@JoinColumn(name = "ObjectPAPpengkajianFk")
	@NotNull(message = "PAPpengkajian tidak boleh kosong")

	@Caption(value = "Object PAPpengkajian")
	private PapPengkajianVO paPpengkajian;

	@Column(name = "ObjectPAPpengkajianFk", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectUmurFk")
	@NotNull(message = "umur tidak boleh kosong")

	@Caption(value = "Object umur")
	private GenericViewVO umur;

	@Column(name = "ObjectUmurFk", insertable = false, updatable = false, nullable = false)
	private Integer umurId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectGangguanKognitifFk")
	@NotNull(message = "gangguanKognitif tidak boleh kosong")

	@Caption(value = "Object gangguanKognitif")
	private GenericViewVO gangguanKognitif;

	@Column(name = "ObjectGangguanKognitifFk", insertable = false, updatable = false, nullable = false)
	private Integer gangguanKognitifId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectResponTerhadapObatFk")
	@NotNull(message = "responTerhadapObat tidak boleh kosong")

	@Caption(value = "Object responTerhadapObat")
	private GenericViewVO responTerhadapObat;

	@Column(name = "ObjectResponTerhadapObatFk", insertable = false, updatable = false, nullable = false)
	private Integer responTerhadapObatId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPenggunaanObatFk")
	@NotNull(message = "penggunaanObat tidak boleh kosong")

	@Caption(value = "Object penggunaanObat")
	private GenericViewVO penggunaanObat;

	@Column(name = "ObjectPenggunaanObatFk", insertable = false, updatable = false, nullable = false)
	private Integer penggunaanObatId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectJenisKelaminFk")
	@NotNull(message = "jenisKelamin tidak boleh kosong")

	@Caption(value = "Object jenisKelamin")
	private JenisKelaminVO jenisKelamin;

	@Column(name = "ObjectJenisKelaminFk", insertable = false, updatable = false, nullable = false)
	private Integer jenisKelaminId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectFaktorLingkunganFk")
	@NotNull(message = "faktorLingkungan tidak boleh kosong")

	@Caption(value = "Object penggunaanObat")
	private GenericViewVO faktorLingkungan;

	@Column(name = "ObjectFaktorLingkunganFk", insertable = false, updatable = false, nullable = false)
	private Integer faktorLingkunganId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectDiagnosisFk")
	@NotNull(message = "Diagnosis tidak boleh kosong")

	@Caption(value = "Object Diagnosis")
	private DiagnosaVO diagnosis;

	@Column(name = "ObjectDiagnosisFk", insertable = false, updatable = false, nullable = false)
	private Integer diagnosisId;

	public PapPengkajianVO getPaPpengkajian() {
		return paPpengkajian;
	}

	public void setPaPpengkajian(PapPengkajianVO paPpengkajian) {
		this.paPpengkajian = paPpengkajian;
	}

	public String getPaPpengkajianId() {
		return paPpengkajianId;
	}

	public void setPaPpengkajianId(String paPpengkajianId) {
		this.paPpengkajianId = paPpengkajianId;
	}

	public GenericViewVO getUmur() {
		return umur;
	}

	public void setUmur(GenericViewVO umur) {
		this.umur = umur;
	}

	public Integer getUmurId() {
		return umurId;
	}

	public void setUmurId(Integer umurId) {
		this.umurId = umurId;
	}

	public GenericViewVO getGangguanKognitif() {
		return gangguanKognitif;
	}

	public void setGangguanKognitif(GenericViewVO gangguanKognitif) {
		this.gangguanKognitif = gangguanKognitif;
	}

	public Integer getGangguanKognitifId() {
		return gangguanKognitifId;
	}

	public void setGangguanKognitifId(Integer gangguanKognitifId) {
		this.gangguanKognitifId = gangguanKognitifId;
	}

	public GenericViewVO getResponTerhadapObat() {
		return responTerhadapObat;
	}

	public void setResponTerhadapObat(GenericViewVO responTerhadapObat) {
		this.responTerhadapObat = responTerhadapObat;
	}

	public Integer getResponTerhadapObatId() {
		return responTerhadapObatId;
	}

	public void setResponTerhadapObatId(Integer responTerhadapObatId) {
		this.responTerhadapObatId = responTerhadapObatId;
	}

	public GenericViewVO getPenggunaanObat() {
		return penggunaanObat;
	}

	public void setPenggunaanObat(GenericViewVO penggunaanObat) {
		this.penggunaanObat = penggunaanObat;
	}

	public Integer getPenggunaanObatId() {
		return penggunaanObatId;
	}

	public void setPenggunaanObatId(Integer penggunaanObatId) {
		this.penggunaanObatId = penggunaanObatId;
	}

	public JenisKelaminVO getJenisKelamin() {
		return jenisKelamin;
	}

	public void setJenisKelamin(JenisKelaminVO jenisKelamin) {
		this.jenisKelamin = jenisKelamin;
	}

	public Integer getJenisKelaminId() {
		return jenisKelaminId;
	}

	public void setJenisKelaminId(Integer jenisKelaminId) {
		this.jenisKelaminId = jenisKelaminId;
	}

	public GenericViewVO getFaktorLingkungan() {
		return faktorLingkungan;
	}

	public void setFaktorLingkungan(GenericViewVO faktorLingkungan) {
		this.faktorLingkungan = faktorLingkungan;
	}

	public Integer getFaktorLingkunganId() {
		return faktorLingkunganId;
	}

	public void setFaktorLingkunganId(Integer faktorLingkunganId) {
		this.faktorLingkunganId = faktorLingkunganId;
	}

	public DiagnosaVO getDiagnosis() {
		return diagnosis;
	}

	public void setDiagnosis(DiagnosaVO diagnosis) {
		this.diagnosis = diagnosis;
	}

	public Integer getDiagnosisId() {
		return diagnosisId;
	}

	public void setDiagnosisId(Integer diagnosisId) {
		this.diagnosisId = diagnosisId;
	}
	
	
}
